﻿<%@ Page %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="Scriptmanager1" runat="server" />
    <telerik:RadWindow ID="RadWindow1" runat="server">
        <ContentTemplate>
            Some sample content
        </ContentTemplate>
    </telerik:RadWindow>
    <asp:HiddenField ID="wndPercentageValue" runat="server" />
    <asp:Button ID="Button1" runat="server" Text="40% Window" OnClientClick="showWindowInPercentage(40); return false;" />
    <asp:Button ID="Button2" runat="server" Text="80% Window" OnClientClick="showWindowInPercentage(80); return false;" />
    <script type="text/javascript">
        var TO;
        var oWnd;
        function pageLoad()
        {
            //populate the global variable that holds a reference to the RadWindow
            oWnd = $find("<%=RadWindow1.ClientID %>");

            //attach to the window.resize event to resize the RadWindow when the browser changes size
            $telerik.$(window).resize(function ()
            {
                clearTimeout(TO);

                //some timeout that prevents numerous event fires thus reducing the calculations needed
                //ultimately resulting in better performance
                //you can change the time to fit your taste
                TO = setTimeout(sizeWindowInPercentage, 100);
            });
        }

        function showWindowInPercentage(value)
        {
            //store the percent value in a hidden field for later use
            //a global variable can be used as well
            $telerik.$("#wndPercentageValue").attr("value", value);
            oWnd.show();
            sizeWindowInPercentage();
        }

        function sizeWindowInPercentage()
        {
            //check first if the RadWindow is shown, if it is not we cannot resize it
            if (oWnd.isVisible())
            {
                //obtain the necessary values - percent and viewport size
                var value = $telerik.$("#wndPercentageValue").attr("value");
                var browserWidth = $telerik.$(window).width();
                var browserHeight = $telerik.$(window).height();

                //resize the RadWindow
                oWnd.setSize(Math.ceil(browserWidth * value / 100), Math.ceil(browserHeight * value / 100));

                //optionally you may also center the RadWindow
                //otherwise it will stay where the original calculation for its top left corner leaves it
                oWnd.center();
            }
        }


    </script>
    </form>
</body>
</html>
